#497 Patch for feature request ID: 3588892.

closed-accepted
Alan Ezust
general (64)
5
2013-09-12
2013-05-09
Owers
No

https://sourceforge.net/tracker/?func=detail&aid=3588892&group_id=588&atid=350588

EnhancedDialog instances (Search/Replace, Options,Open) now can be closed consistently with the current close-buffer.shortcut key combination.

Made by: László Schmidt, Zsombor Franczia, Bence Pintér

Discussion

1 2 > >> (Page 1 of 2)
  • Alan Ezust
    Alan Ezust
    2013-08-10

    nice patch! but you really only needed to diff the EnhancedDialog and leave out all the other .hidden files. I hand-edited it and removed more than 50% of the lines in the .patch file.

     
  • Alan Ezust
    Alan Ezust
    2013-08-10

    • assigned_to: nobody --> ezust
     
  • Alan Ezust
    Alan Ezust
    2013-08-10

    It does not work for me though. The reason is that i have 2 shortcuts, a primary and an alternate.
    So I get this error now:
    7:48:58 PM [AWT-EventQueue-0] [error] KeyEventTranslator: Invalid key code: x c
    7:48:58 PM [AWT-EventQueue-0] [error] KeyEventTranslator: Invalid key code: x c
    7:48:59 PM [AWT-EventQueue-0] [error] KeyEventTranslator: Invalid key code: x c
    7:48:59 PM [AWT-EventQueue-0] [error] KeyEventTranslator: Invalid key code: x c
    7:48:59 PM [AWT-EventQueue-0] [error] KeyEventTranslator: Invalid key code: x c
    7:49:36 PM [AWT-EventQueue-0] [error] KeyEventTranslator: Invalid key code: w or C+x c
    7:49:37 PM [AWT-EventQueue-0] [error] KeyEventTranslator: Invalid key code: w or C+x c
    7:49:39 PM [AWT-EventQueue-0] [error] KeyEventTranslator: Invalid key code: w or C+x c
    7:49:39 PM [AWT-EventQueue-0] [error] KeyEventTranslator: Invalid key code: w or C+x c

     
  • Alan Ezust
    Alan Ezust
    2013-08-10

    • status: open --> pending-rejected
     
  • Alan Ezust
    Alan Ezust
    2013-09-10

    You need to check the case for when "close-buffer" has a primary *and* an alternate shortcut, and make sure your patch works in that case also.

    What if one of the shortcuts is a 2-key shortcut, as is the case with me?
    (the two I have are ctrl-w (primary) and "ctrl-x c" (alternate)

     
  • Owers
    Owers
    2013-09-11

    • status: pending-rejected --> open-rejected
     
  • Owers
    Owers
    2013-09-11

    Added a check method which handles the alternative and ignores the multiple-key shortcuts. Literally if there are no primary or alternative "Key" or "Modifier+Key" formatted shortcuts, it simply ignores the present multiple-key cases. Will it be sufficient?

     
  • Alan Ezust
    Alan Ezust
    2013-09-12

    Much better! Committed 23175.

     
1 2 > >> (Page 1 of 2)